import { h, defineComponent } from 'vue';
export default defineComponent({
    name: 'FieldError',
    render: function () {
        return this.hasError ? h('div', {
            class: this.className
        }, "" + this.message) : null;
    },
    props: {
        bag: {
            type: Object,
            required: true,
        },
        field: {
            type: String,
            required: true
        },
        className: {
            type: String,
            default: 'invalid-feedback'
        }
    },
    computed: {
        hasError: function () {
            return this.bag.has(this.field);
        },
        message: function () {
            return this.bag.first(this.field);
        }
    }
});
